using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

public partial class DisplayEmail1 : System.Web.UI.Page
{
    private Chilkat.MailMan m_mailman = new Chilkat.MailMan();

    protected void Page_Load(object sender, EventArgs e)
    {
        bool success = m_mailman.UnlockComponent("Anything for 30-day trial");
        if (!success)
        {
            divDbg.InnerHtml = "Unlock Failed.";
            LblStatus.Text = "Unlock Failed.";
        }
        else
        {
            divDbg.InnerHtml = "Unlock Successful.";
            LblStatus.Text = "Unlock Successful.";
        }

    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Chilkat.Email email = new Chilkat.Email();

        // For demonstration purposes, load an email from a .eml file.
        // This is an HTML email with embedded images.
        bool success = email.LoadEml(Server.MapPath("data/sampleHtmlWithAttach.eml"));
        if (!success)
        {
            divDbg.InnerHtml = email.LastErrorHtml;
            LblStatus.Text = "EML Load Failed.";
            return;
        }

        // Set a unique prefix so that all embedded images associated with
        // this email begin with the same prefix.  This makes it easier for your
        // app to cleanup the files later...
        string prefix = "abc_";
        // This is the directory where embedded images will be placed:
        string saveDir = Server.MapPath("data/emailHtmlFiles");
        string relativeUrlPath = "data/emailHtmlFiles";
        bool autoCleanFiles = true;

        // Regardless of the charset of the email, make sure we get utf-8
        // because our HTML page's charset is utf-8:
        email.Charset = "utf-8";

        // Get the utf-8 HTML:
        byte[] htmlBytes = email.AspUnpack2(prefix, saveDir, relativeUrlPath, autoCleanFiles);
        if (htmlBytes.Length == 0)
        {
            divDbg.InnerHtml = email.LastErrorHtml;
            LblStatus.Text = "AspUnpack2 Failed.";
            return;
        }

        // Display the HTML email.
        divEmail.InnerHtml = Encoding.UTF8.GetString(htmlBytes);
        LblStatus.Text = "OK.";
    }
}
